Bug 594671 - Blank screen when typing-montior break and undock
Blank screen when typing-montior break and undock
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-intel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 06:09 EDT by Chris Ward
Modified: 2016-06-13 03:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 03:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2010-05-21 06:09:02 EDT
I'm not sure if this is actually control-center / gnome-typing-monitor's fault...
reassign as necessary

Steps to Reproduce:
1.boot up laptop, place in doc, turn off laptop screen and turn on external screen. 
2.enable gnome-typing-monitor
3."Take a break"
4. undock the system
  
Actual results:
Blank screen

Expected results:
when laptop screen was reenabled, the 'take a break' screen would show up seamlessly.

Additional info:
It's possible to force this to happen by switching to console with CTRL-ALT-F2 for example, then back to X with CTRL-ALT-F1
Comment 3 RHEL Product and Program Management 2010-06-07 12:13:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Ray Strode [halfline] 2010-07-14 10:46:20 EDT
sounds fairly serious, proposing as a blocker so it doesn't get autoclosed.  I still need to try to reproduce and investigate the issue more though.
Comment 5 Chris Ward 2010-07-14 11:06:40 EDT
Just verified, still happens with latest rhel 6 bits, as of Jul 14th tree. Let me know if i can help in any way
Comment 8 Ray Strode [halfline] 2010-08-10 13:25:16 EDT
So i looked into this today.  This doesn't seem to be a typing break bug.  For me, it doesn't properly resize the typing break window, but it also turns on the laptop display okay.

I can reproduce the problem of switching VTs: With the laptop panel off, if i switch vts it turns on and shows the fbconsole.  If I switch back the fbconsole stays on screen.

Anyway, your problem sounds like an intel driver issue.  Maybe it doesn't detect the undock event ?

Does this problem happen if you aren't using typing break and undock?

Moving to intel driver, but thinking about it more, it's probably not a blocker bug.  I think there are a number of hardware combinations where hotplug autodetection doesn't work.  We tell people to use the monitor switch key on their keyboard (eg fn-F7 or fn-F8) or use gnome-display-properties in those cases.

In your case, it's a little complicated by the fact that you can't do those things until your typing break is over, but that's a good thing! you should be getting coffee during your typing break :-)

Dropping blocker flag and proposing for 6.1
Comment 11 RHEL Product and Program Management 2011-01-07 11:00:42 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 12 RHEL Product and Program Management 2011-02-01 01:06:48 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 13 RHEL Product and Program Management 2011-02-01 13:22:34 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 14 RHEL Product and Program Management 2011-04-03 22:34:41 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 15 RHEL Product and Program Management 2011-10-07 12:14:14 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 17 Chris Ward 2016-06-13 03:45:06 EDT
Stale bug clean up; reopen if anyone else actually supports this.

Note You need to log in before you can comment on or make changes to this bug.